/******************************************************************************
*******************************************************************************
**
**  Copyright (C) Sistina Software, Inc.  1997-2003  All rights reserved.
**  Copyright (C) 2004 Red Hat, Inc.  All rights reserved.
**
**  This copyrighted material is made available to anyone wishing to use,
**  modify, copy, or redistribute it subject to the terms and conditions
**  of the GNU General Public License v.2.
**
*******************************************************************************
******************************************************************************/

#ifndef __TRANS_DOT_H__
#define __TRANS_DOT_H__

#define TRANS_UNKNOWN           (0)
#define TRANS_COMPOUND          (1)
#define TRANS_CREATE            (2)
#define TRANS_LINK              (3)
#define TRANS_RENAME            (4)
#define TRANS_WRITE             (5)
#define TRANS_TRUNC_GROW        (8)
#define TRANS_JWRITE            (9)
#define TRANS_NOPAGE            (10)
#define TRANS_SETATTR           (11)
#define TRANS_DIR2FILE          (12)
#define TRANS_SET_SIZE          (13)
#define TRANS_UPDATE_ATIME      (14)
#define TRANS_UNLINK            (15)
#define TRANS_RMDIR             (16)
#define TRANS_LEAF_DEALLOC      (17)
#define TRANS_FILE_DEALLOC      (18)
#define TRANS_I_DEALLOC         (19)
#define TRANS_RECLAIM           (20)
#define TRANS_QUOTA_SYNC        (21)
#define TRANS_ALLOC_QINODE      (22)
#define TRANS_ALLOC_LINODE      (23)
#define TRANS_SET_EATTR         (24)
#define TRANS_EA_DEALLOC        (25)
#define TRANS_SET_FLAG          (26)
#define TRANS_JTRUNC_PARTIAL    (27)

#define TRANS_IS_NEW            (53)
#define TRANS_IS_INCORE         (54)
void gfs_trans_print(struct gfs_sbd *sdp, struct gfs_trans *tr,
		     unsigned int where);

int gfs_trans_begin(struct gfs_sbd *sdp, int type, unsigned int meta_blocks,
		    unsigned int extra_blocks);
void gfs_trans_end(struct gfs_sbd *sdp);

void gfs_trans_add_gl(struct gfs_sbd *sdp, struct gfs_glock *gl);
void gfs_trans_add_bh(struct gfs_sbd *sdp, struct gfs_glock *gl,
		      struct buffer_head *bh);
void gfs_trans_add_unlinked(struct gfs_sbd *sdp, unsigned int type,
			    struct gfs_inum *inum);
void gfs_trans_add_quota(struct gfs_sbd *sdp, int64_t change, uint32_t uid,
			 uint32_t gid);

/*  These are architecture specific functions
    Either implement them or stub them out in your arch_* directory.  */

void gfs_trans_prep_for_ail(struct gfs_sbd *sdp, struct gfs_trans *tr);
int gfs_trans_check_empty(struct gfs_sbd *sdp, struct gfs_trans *tr);

#endif				/*  __TRANS_DOT_H__  */
