/******************************************************************************
*******************************************************************************
**
**  Copyright (C) Sistina Software, Inc.  1997-2003  All rights reserved.
**  Copyright (C) 2004 Red Hat, Inc.  All rights reserved.
**  
**  This copyrighted material is made available to anyone wishing to use,
**  modify, copy, or redistribute it subject to the terms and conditions
**  of the GNU General Public License v.2.
**
*******************************************************************************
******************************************************************************/
#include "osi_endian.h"
#include "ccs_ondisk.h"

/* Storing to disk in Big-endian format for no good reason */

void ccs_dh_in(ccs_dh_t *dh, char *buf){
  ccs_dh_t *tmp = (ccs_dh_t *)buf;

  dh->dh_magic   = osi_be32_to_cpu(tmp->dh_magic);
  dh->dh_active  = osi_be32_to_cpu(tmp->dh_active);
  dh->dh_size    = osi_be32_to_cpu(tmp->dh_size);
  dh->dh_maxsize = osi_be32_to_cpu(tmp->dh_maxsize);
}


void ccs_dh_out(ccs_dh_t *dh, char *buf){
  ccs_dh_t *tmp = (ccs_dh_t *)buf;

  tmp->dh_magic   = osi_cpu_to_be32(dh->dh_magic);
  tmp->dh_active  = osi_cpu_to_be32(dh->dh_active);
  tmp->dh_size    = osi_cpu_to_be32(dh->dh_size);
  tmp->dh_maxsize = osi_cpu_to_be32(dh->dh_maxsize);
}

