/******************************************************************************
*******************************************************************************
**
**  Copyright (C) Sistina Software, Inc.  1997-2003  All rights reserved.
**  Copyright (C) 2004 Red Hat, Inc.  All rights reserved.
**  
**  This copyrighted material is made available to anyone wishing to use,
**  modify, copy, or redistribute it subject to the terms and conditions
**  of the GNU General Public License v.2.
**
*******************************************************************************
******************************************************************************/
#include "fence_log.h"


static int print_to_syslog = 0;


/* fence_syslog_enable
 *
 * This function enables syslog printing for the log_xxx
 * functions.
 *
 */
void fence_syslog_enable(void){
  print_to_syslog = 1;
}


void log_sysprint(int priority, char *fmt, ...)
{
  va_list ap;

#ifndef DEBUG
  if (priority == LOG_DEBUG)
    return;
#endif

  va_start(ap, fmt);
  vsyslog(priority, fmt, ap);
  va_end(ap);
}


void log_print(int priority, char *fmt, ...)
{
  va_list ap;

#ifndef DEBUG
  if (priority == LOG_DEBUG)
    return;
#endif

  va_start(ap, fmt);
  if (priority == LOG_ERR)
    vfprintf(stderr, fmt, ap);
  else
    vprintf(fmt, ap);
  va_end(ap);
}



